Bug 19052 - XSS Flaws in - vendor search page - Invoice search page
Summary: XSS Flaws in - vendor search page - Invoice search page
Status: Pushed to Stable
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: unspecified
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Amit Gupta
QA Contact: Marcel de Rooy
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: 14568
  Show dependency treegraph
 
Reported: 2017-08-07 16:33 UTC by Amit Gupta
Modified: 2017-09-07 06:16 UTC (History)
7 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 19052 - XSS Flaws in vendor search page (1.44 KB, patch)
2017-08-07 16:36 UTC, Amit Gupta
Details | Diff | Splinter Review
Bug 19052 - XSS Flaws in - Invoice search page (4.42 KB, patch)
2017-08-07 16:52 UTC, Amit Gupta
Details | Diff | Splinter Review
Bug 19052 - XSS Flaws in vendor search page (1.50 KB, patch)
2017-08-07 20:47 UTC, Chris Cormack
Details | Diff | Splinter Review
Bug 19052 - XSS Flaws in - Invoice search page (4.47 KB, patch)
2017-08-07 20:48 UTC, Chris Cormack
Details | Diff | Splinter Review
Bug 19052 - XSS Flaws in vendor search page (1.59 KB, patch)
2017-08-11 09:28 UTC, Marcel de Rooy
Details | Diff | Splinter Review
Bug 19052 - XSS Flaws in - Invoice search page (4.56 KB, patch)
2017-08-11 09:28 UTC, Marcel de Rooy
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Amit Gupta 2017-08-07 16:33:32 UTC
XSS Flaws in vendor search page
Comment 1 Amit Gupta 2017-08-07 16:36:42 UTC
Created attachment 65586 [details] [review]
Bug 19052 - XSS Flaws in vendor search page

1. Hit /cgi-bin/koha/acqui/booksellers.pl
2. Enter <IFRAME SRC="javascript:alert('XSS');"></IFRAME> vendor search box.
3. Notice the iframe is executed.
4. Apply patch.
5. Reload page, and enter iframe again on vendor search box.
6. Notice it is no longer executed.
Comment 2 Amit Gupta 2017-08-07 16:52:25 UTC
Created attachment 65587 [details] [review]
Bug 19052 - XSS Flaws in - Invoice search page

1. Hit /cgi-bin/koha/acqui/invoices.pl
2. Enter <IFRAME SRC="javascript:alert('XSS');"></IFRAME> Invoiceno,
   ISBN/EAN/ISSN, Title, Author, Publihser, Publication year search box.
3. Notice the iframe is executed.
4. Apply patch.
5. Reload page, and enter iframe again on Invoiceno,
   ISBN/EAN/ISSN, Title, Author, Publihser, Publication year search box.
6. Notice it is no longer executed.
Comment 3 Chris Cormack 2017-08-07 20:47:41 UTC
Created attachment 65601 [details] [review]
Bug 19052 - XSS Flaws in vendor search page

1. Hit /cgi-bin/koha/acqui/booksellers.pl
2. Enter <IFRAME SRC="javascript:alert('XSS');"></IFRAME> vendor search box.
3. Notice the iframe is executed.
4. Apply patch.
5. Reload page, and enter iframe again on vendor search box.
6. Notice it is no longer executed.

Signed-off-by: Chris Cormack <chrisc@catalyst.net.nz>
Comment 4 Chris Cormack 2017-08-07 20:48:02 UTC
Created attachment 65602 [details] [review]
Bug 19052 - XSS Flaws in - Invoice search page

1. Hit /cgi-bin/koha/acqui/invoices.pl
2. Enter <IFRAME SRC="javascript:alert('XSS');"></IFRAME> Invoiceno,
   ISBN/EAN/ISSN, Title, Author, Publihser, Publication year search box.
3. Notice the iframe is executed.
4. Apply patch.
5. Reload page, and enter iframe again on Invoiceno,
   ISBN/EAN/ISSN, Title, Author, Publihser, Publication year search box.
6. Notice it is no longer executed.

Signed-off-by: Chris Cormack <chrisc@catalyst.net.nz>
Comment 5 Marcel de Rooy 2017-08-11 09:28:47 UTC
Created attachment 65891 [details] [review]
Bug 19052 - XSS Flaws in vendor search page

1. Hit /cgi-bin/koha/acqui/booksellers.pl
2. Enter <IFRAME SRC="javascript:alert('XSS');"></IFRAME> vendor search box.
3. Notice the iframe is executed.
4. Apply patch.
5. Reload page, and enter iframe again on vendor search box.
6. Notice it is no longer executed.

Signed-off-by: Chris Cormack <chrisc@catalyst.net.nz>

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 6 Marcel de Rooy 2017-08-11 09:28:51 UTC
Created attachment 65892 [details] [review]
Bug 19052 - XSS Flaws in - Invoice search page

1. Hit /cgi-bin/koha/acqui/invoices.pl
2. Enter <IFRAME SRC="javascript:alert('XSS');"></IFRAME> Invoiceno,
   ISBN/EAN/ISSN, Title, Author, Publihser, Publication year search box.
3. Notice the iframe is executed.
4. Apply patch.
5. Reload page, and enter iframe again on Invoiceno,
   ISBN/EAN/ISSN, Title, Author, Publihser, Publication year search box.
6. Notice it is no longer executed.

Signed-off-by: Chris Cormack <chrisc@catalyst.net.nz>

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 7 Jonathan Druart 2017-08-29 15:07:29 UTC
Pushed to master for 17.11, thanks to everybody involved!
Comment 8 Fridolin SOMERS 2017-09-05 12:45:35 UTC
Pushed to 17.05.x, is in 17.05.03
Comment 9 Katrin Fischer 2017-09-07 06:16:07 UTC
These patches have been pushed to 16.11.x and are in 16.11.11.